Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v12
Class AuthnResponseEnvelope

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.liberty.v12.AuthnResponseEnvelope`

public class AuthnResponseEnvelope
extends oracle.security.xmlsec.util.XMLElement

The AuthnResponseEnvelope element in the Liberty Single Sign-On and Federation protocol. An AuthnResponseEnvelope element wraps an AuthnResponse which allows for extra processing by an intermediary between the service provider and the identity provider in some Liberty profiles.

See Also:
  `AuthnResponse`, `AuthnRequest`, `AuthnRequestEnvelope`

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`AuthnResponseEnvelope(org.w3c.dom.Document owner)` Creates a new `AuthnResponseEnvelope` instance within the specified XML Document.
`AuthnResponseEnvelope(org.w3c.dom.Document owner, java.lang.String acsURL)` Creates a new `AuthnResponseEnvelope` instance within the specified XML Document.
`AuthnResponseEnvelope(org.w3c.dom.Element element)` Creates a new `AuthnResponseEnvelope` instance from the given Element node.
`AuthnResponseEnvelope(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `AuthnResponseEnvelope` instance from the given Element node.

Method Summary
`java.lang.String` | `getAssertionConsumerServiceURL()` Returns the service provider's URL contained in the AssertionConsumerServiceURL child element of this AuthnRequestEnvelope, or `null` if no AssertionConsumerServiceURL element has been sent.
`AuthnResponse` | `getAuthnResponse()` Gets the AuthnResponse element wrapped in this element, or `null` if no AuthnResponse element is present.
`void` | `setAssertionConsumerServiceURL(java.lang.String serviceURL)` Set the value of the AssertionConsumerServiceURL child element in this AuthnResponseEnvelope element.
`void` | `setAuthnResponse(AuthnResponse response)` Sets the AuthnResponse child element of this element.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthnResponseEnvelope

    public AuthnResponseEnvelope(org.w3c.dom.Element element)
                          throws org.w3c.dom.DOMException

  Creates a new `AuthnResponseEnvelope` instance from the given Element node.
Parameters:
  `element` - A Liberty AuthnResponseEnvelope XML element.

### AuthnResponseEnvelope

    public AuthnResponseEnvelope(org.w3c.dom.Element element,
                                 java.lang.String systemId)
                          throws org.w3c.dom.DOMException

  Creates a new `AuthnResponseEnvelope` instance from the given Element node.
Parameters:
  `element` - A Liberty AuthnResponseEnvelope XML element.
  `systemId` - The URI string system ID for the `AuthnResponseEnvelope`.

### AuthnResponseEnvelope

    public AuthnResponseEnvelope(org.w3c.dom.Document owner)
                          throws org.w3c.dom.DOMException

  Creates a new `AuthnResponseEnvelope` instance within the specified XML Document.
Parameters:
  `owner` - The owner document of the new Liberty AuthnResponseEnvelope element.

### AuthnResponseEnvelope

    public AuthnResponseEnvelope(org.w3c.dom.Document owner,
                                 java.lang.String acsURL)
                          throws org.w3c.dom.DOMException

  Creates a new `AuthnResponseEnvelope` instance within the specified XML Document.
Parameters:
  `owner` - The owner document of the new Liberty AuthnResponseEnvelope element.
  `acsURL` - The `AssertionConsumerServiceURL` child element.

Method Detail

### setAuthnResponse

    public void setAuthnResponse(AuthnResponse response)

  Sets the AuthnResponse child element of this element. An AuthnResponse child is required in an AuthnResponseEnvelope element.

### getAuthnResponse

    public AuthnResponse getAuthnResponse()

  Gets the AuthnResponse element wrapped in this element, or `null` if no AuthnResponse element is present.
  Returns:
    An `AuthnResponse` object.

### setAssertionConsumerServiceURL

    public void setAssertionConsumerServiceURL(java.lang.String serviceURL)

  Set the value of the AssertionConsumerServiceURL child element in this AuthnResponseEnvelope element. This required child element contains the service provider's URL where the authentication response should be sent.

### getAssertionConsumerServiceURL

    public java.lang.String getAssertionConsumerServiceURL()

  Returns the service provider's URL contained in the AssertionConsumerServiceURL child element of this AuthnRequestEnvelope, or `null` if no AssertionConsumerServiceURL element has been sent.
  Returns:
    The service provider's URL specified in the AssertionConsumerServiceURL element.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.